import { HcApi } from '../request/index'

//获取更新信息
export const getVersionJson = () => HcApi({
    url: 'version.json?time=' + new Date().getTime(),
    method: 'get',
}, false)

//获取图标文件
export const getRemixicon = () => HcApi({
    url: 'plugins/remixicon/remixicon.css?time=' + new Date().getTime(),
    method: 'get',
}, false)

//获取字典数据
export const getDictionary = (form, msg = true) => HcApi({
    url: '/api/blade-system/dict/dictionary',
    method: 'get',
    params: form,
}, msg)

//获取系统字典数据
export const getBizDictionary = (form, msg = true) => HcApi({
    url: '/api/blade-system/dict-biz/dictionary',
    method: 'get',
    params: form,
}, msg)

//项目设置保存预警
export const projectSaveWarning = (form) => HcApi({
    url: '/api/blade-attach/project/save-warning',
    method: 'POST',
    data: {
        list: form,
    },
}, false)


//项目预警详情
export const projectDetailWarning = () => HcApi({
    url: '/api/blade-attach/project/detail-warning',
    method: 'POST',
    params: {},
}, false)

